=== debian/changelog ===
kdevplatform (1.7.3-0ubuntu1) xenial; urgency=medium

  * Debian merge for new changes.. 
  * New upstream bugfix release. 
  * Fix watch file. 
  * Point VCS to this repo. 
  * Add lintian override file.
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 07:14:19 -0800

kdevplatform (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - workaround_boost_ftbfs: drop, fixed upstream
    - upstream_make_subversion_plugin_compile: drop, backported from upstream
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update lintian overrides.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Pass --list-missing to dh_install.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 21:43:55 +0100

kdevplatform (1.7.1-1ubuntu1) xenial; urgency=high

  * Merge from debian, remaining changes:
    - add autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jan 2016 14:51:32 +0000

kdevplatform (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (1.7.1).
  * Remove upstream applied patch: fix_shell_script
  * Add libsoprano-dev build dep.
  * New patch: workaround_boost_ftbfs
  * New upstream patch: upstream_make_subversion_plugin_compile

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Sep 2015 21:04:29 -0300
