=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.7.0),
               libboost-serialization-dev,
               libgrantlee-dev (>= 0.1.7),
               libqjson-dev,
               libqtwebkit-dev,
               libsvn-dev,
               pkg-kde-tools (>= 0.9.0)
Standards-Version: 3.9.6
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kubuntu/kdevplatform.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kubuntu/kdevplatform.git

Package: kdevplatform8-libs
Architecture: any
Depends: libsublime8 (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: kdevelop (<< 4:3.9.96-1),
          kdevelop-data (<< 4:3.9.96-1),
          kdevplatform1-libs,
          kdevplatform2-libs,
          kdevplatform3-libs,
          kdevplatform5-libs,
          kdevplatform7-libs
Breaks: kdevplatform1-libs,
        kdevplatform2-libs,
        kdevplatform3-libs,
        kdevplatform5-libs,
        kdevplatform7-libs
Suggests: cvs, git, kdevplatform-l10n, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform8-libs (= ${binary:Version}),
         libsublime-dev (>= ${source:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kdevplatform8-libs}
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg,
         kdevplatform8-libs (= ${binary:Version}),
         libsublime8 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime8 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libsublime8}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Replaces: kdevplatform-l10n-ca,
          kdevplatform-l10n-cavalencia,
          kdevplatform-l10n-da,
          kdevplatform-l10n-de,
          kdevplatform-l10n-engb,
          kdevplatform-l10n-es,
          kdevplatform-l10n-et,
          kdevplatform-l10n-fi,
          kdevplatform-l10n-fr,
          kdevplatform-l10n-gl,
          kdevplatform-l10n-hu,
          kdevplatform-l10n-it,
          kdevplatform-l10n-nds,
          kdevplatform-l10n-nl,
          kdevplatform-l10n-pt,
          kdevplatform-l10n-ptbr,
          kdevplatform-l10n-ru,
          kdevplatform-l10n-sl,
          kdevplatform-l10n-sv,
          kdevplatform-l10n-th,
          kdevplatform-l10n-tr,
          kdevplatform-l10n-uk,
          kdevplatform-l10n-zhcn,
          kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca,
        kdevplatform-l10n-cavalencia,
        kdevplatform-l10n-da,
        kdevplatform-l10n-de,
        kdevplatform-l10n-engb,
        kdevplatform-l10n-es,
        kdevplatform-l10n-et,
        kdevplatform-l10n-fi,
        kdevplatform-l10n-fr,
        kdevplatform-l10n-gl,
        kdevplatform-l10n-hu,
        kdevplatform-l10n-it,
        kdevplatform-l10n-nds,
        kdevplatform-l10n-nl,
        kdevplatform-l10n-pt,
        kdevplatform-l10n-ptbr,
        kdevplatform-l10n-ru,
        kdevplatform-l10n-sl,
        kdevplatform-l10n-sv,
        kdevplatform-l10n-th,
        kdevplatform-l10n-tr,
        kdevplatform-l10n-uk,
        kdevplatform-l10n-zhcn,
        kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.
