=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevplatform-([\d.]+).tar.xz
